Global Fishing Watch API
ExamplesVessels

Advanced search - search any vessel by a keyword

Example advanced vessel search using a query expression such as shipname LIKE, for more precise filtering.

This endpoint allows you to also perform an advanced search by creating a query like shipname LIKE '%GABU REEFE%' OR imo = '8300949. Where you can combine several fields, for example: id (vessel id), callsign, flag, imo, mmsi, shipname, normalized_shipname, lastTransmissionDate and firstTransmissionDate.

Query parameters

ParameterValueDescription
wheressvid="775998121" AND shipname="DON TITO"Advanced query combining fields (ssvid, shipname, imo, callsign, flag, etc.)
datasets[0]public-global-vessel-identity:latestVessel identity dataset
includes[0]MATCH_CRITERIAInclude match criteria in the response
includes[1]OWNERSHIPInclude ownership info in the response

Request

# Make sure to replace [TOKEN] with your API Access Token.
curl --location --request GET 'https://gateway.api.globalfishingwatch.org/v3/vessels/search?where=ssvid%3D%22775998121%22%20AND%20shipname%3D%22DON%20TITO%22&datasets[0]=public-global-vessel-identity:latest&includes[0]=MATCH_CRITERIA&includes[1]=OWNERSHIP' \
  -H "Authorization: Bearer [TOKEN]"

Response

{
  "total": 2,
  "limit": 30,
  "since": null,
  "metadata": {
    "query": "(selfReportedInfo.ssvid='775998121' OR registryInfo.ssvid='775998121') AND (selfReportedInfo.shipname LIKE '%DON TITO%' OR registryInfo.shipname LIKE '%DON TITO%')",
    "normalizedQuery": null,
    "didYouMean": {}
  },
  "entries": [
    {
      "dataset": "public-global-vessel-identity:v20230623",
      "registryInfoTotalRecords": 0,
      "registryInfo": [],
      "registryOwners": [],
      "registryAuthorizations": [],
      "selfReportedInfo": [
        {
          "id": "c54923e64-46f3-9338-9dcb-ff09724077a3",
          "ssvid": "775998121",
          "shipname": "DON TITO",
          "nShipname": "DONTITO",
          "flag": "VEN",
          "callsign": "YD23136",
          "imo": null,
          "geartype": null,
          "shiptype": "OTHER_NON_FISHING",
          "messagesCounter": 1103,
          "positionsCounter": 430,
          "shiptypesByYear": [
            {
              "shiptype": "OTHER_NON_FISHING",
              "years": [2021, 2022, 2023]
            }
          ],
          "sourceCode": ["AIS"],
          "matchFields": "NO_MATCH",
          "transmissionDateFrom": "2021-08-06T10:49:26Z",
          "transmissionDateTo": "2023-09-21T14:52:16Z"
        }
      ],
      "matchCriteria": [
        {
          "reference": "c54923e64-46f3-9338-9dcb-ff09724077a3",
          "property": "selfReportedInfo.id",
          "source": "selfReportedInfo",
          "matches": [],
          "period": {
            "dateFrom": "2021-08-06T10:49:26Z",
            "dateTo": "2023-09-21T14:52:16Z"
          },
          "latestVesselInfo": true
        }
      ]
    },
    {
      "dataset": "public-global-vessel-identity:v20230623",
      "registryInfoTotalRecords": 0,
      "registryInfo": [],
      "registryOwners": [],
      "registryAuthorizations": [],
      "selfReportedInfo": [
        {
          "id": "bae8f325c-cf0a-01fe-6d1a-9a275588d4ff",
          "ssvid": "775998121",
          "shipname": "DON TITO",
          "nShipname": "DONTITO",
          "flag": "VEN",
          "callsign": "",
          "imo": null,
          "geartype": null,
          "shiptype": "OTHER_NON_FISHING",
          "messagesCounter": 74,
          "positionsCounter": 37,
          "shiptypesByYear": [
            {
              "shiptype": "OTHER_NON_FISHING",
              "years": [2021, 2022]
            }
          ],
          "sourceCode": ["AIS"],
          "matchFields": "NO_MATCH",
          "transmissionDateFrom": "2021-08-03T13:41:41Z",
          "transmissionDateTo": "2022-07-23T13:39:10.01Z"
        }
      ],
      "matchCriteria": [
        {
          "reference": "bae8f325c-cf0a-01fe-6d1a-9a275588d4ff",
          "property": "selfReportedInfo.id",
          "source": "selfReportedInfo",
          "matches": [],
          "period": {
            "dateFrom": "2021-08-03T13:41:41Z",
            "dateTo": "2022-07-23T13:39:10.01Z"
          },
          "latestVesselInfo": true
        }
      ]
    }
  ]
}